#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export JAVA_HOME=/usr/lib/jvm/default-java
export CLASSPATH=/usr/share/java/jdom1.jar:/usr/share/java/jas.jar:/usr/share/java/jfreechart.jar:/usr/share/java/jlatexmath.jar

%:
	dh $@ --with javahelper

# Avoid the default build.xml and its ant dependency
override_dh_auto_build:
	true

override_dh_auto_clean:
	rm -f reduceimg.log default.img

override_jh_build:
	jh_build -N

	# Compile the Lisp scripts and put them into the JAR
	CLASSPATH=$$CLASSPATH:./mathpiper.jar java -Xmx300M -Xms300M -Xss8M org.mathpiper.mpreduce.Jlisp -w -v -z -o default.img lib/build_scripts/buildreduce.lsp -D@srcdir=lib/build_scripts -- reduceimg.log
	jar uf mathpiper.jar default.img

